こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

-広告-

解決済みの質問

Puppy Linux Slacko 問題

Puppy Linux Slacko Firefoxアップグレード不能問題


WinXP モデルに軽量のOSを導入する目的で、Puppy Linux Slacko 630
をインストールしました。

同梱されているブラウザが Firefox のとても旧式のプログラムなため
SSE2問題がない、45.9ESR をインストールしようと
苦労していますが
全く導入ができません。


最初に、
firefox-45.9.0esr.linux-i686.sdk.tar.bz2

この圧縮ファイルを XP機にコピーして解凍しようとしたところ
解凍作業だけで1時間以上もかかってしまいました。

新しい Windows 機の側で完全解凍をさせた
firefox-sdk
のフォルダーをコピーしようとしたところ
大量のコピーエラーが発生してしまいました。

そこで、1段階だけ解凍をした
firefox-45.9.0esr.linux-i686.sdk.tar

この単一ファイルを XP機のPuppyフォルダー内にコピーしようとしたところ
10分くらいした時点で
保存容量が足りないと エラー表示が出ました。

たった 370MBのファイルを展開する前にコピーするだけの作業が
6GBのHD容量を持つ XP機で行なえない理由が分かりません。

最低限の目標は、まともなブラウザを Puppy 上で走らせるだけのことです。

Puppyに同梱されている多数のソフトは、まったく使用しません。

それらを最初から取り除く方法も合わせてご指導いただけますでしょうか。
よろしくお願いいたします。

投稿日時 - 2018-06-14 19:29:09

QNo.9508333

mqm

困ってます

質問者が選んだベストアンサー

SSE2に対応するのはFirefox 49.0以降なので
Firefox ESR 48.0.2を組み込んだadrv_slacko_6.3.0.sfsを再ビルドしました。
Slacko_6.3.0_JP.iso 328 MB
https://drive.google.com/open?id=1xzuJ8qkid7fkNK4B_pBFqmxmwUrhb1Fb
CDから起動することで古典的なPCでもSlacko_6.3.0をインストール出来ます。
また、初回起動時にFirefox ESR 48.0.2のランゲージパックが更新されます。
更新を繰り返すとFirefoxは最新版になるので要注意です。

参考URL:https://docs.google.com/presentation/d/1nhMiOMJojP2AMUhpMDl48pBe6O93dx5Fz5ixMDmR-Zc/present?slide=id.g749a6ffce_1_7

投稿日時 - 2018-06-18 19:23:09

お礼

他のどなたも解決することができない難問を
一気に解決して下さったことに感謝をいたします。

今後とも、世界中の LINUX愛用者の救世主として
ご活躍を期待しております。

日本語を使用しない、世界中のLINUX愛用者の方たちも
私と同じトラブルから救われることができますよう
英語版の同じパッケージも
公開して下さると、今後のLINUX普及が加速すると思います。

それでは、改めてお礼を申し上げます。

投稿日時 - 2018-06-21 20:47:36

ANo.3

このQ&Aは役に立ちましたか?

0人が「このQ&Aが役に立った」と投票しています

-広告-
-広告-

回答(3)

ANo.2

日本語化モジュールの中にFirefox Quantum 60.0.2 ESRを組み込みました。
本体ファイルはオリジナルのままですが、日本語版として起動します。
slacko_6.3.0_JP.iso 349 MB ISOイメージとして↓から入手できます。
https://drive.google.com/open?id=1O32MCYdCDoY36Xj52aHD4dyvJPVOL2ge

投稿日時 - 2018-06-15 16:14:50

ANo.1

同じ質問が https://okwave.jpqa/q9502776.html に出されていますが、
重複した質問をクローズせずに放置しておくことはマナー違反です。
 
Puppy Slacko 6.3.0の場合は、最新のFirefox 60.0.2 ESRを利用できます。
https://download.mozilla.org/?product=firefox-60.0.2esr-SSL&os=linux&lang=ja
↑からfirefox-60.0.2esrをダウンロードして解凍したら
/usr/lib/firefox-38.4.0の中身を総て削除して解凍したファイルをコピーします。
これだけで最新のFirefox 60.0.2が利用できるようになりますが、
必ずセーブ・ファイルに保存することを忘れないで下さい。
 なお、余計なお世話かもしれませんが
拙作の日本語化モジュールを試して下さい。
https://drive.google.com/open?id=1Tavl5inIf__COZRPtXNjSSVYoTdmiBkC
https://download.mozilla.org/?product=firefox-60.0.2esr-SSL&os=linux&lang=ja
 解説は↓にあります。
http://sakurapup.browserloadofcoolness.com/viewtopic.php?f=41&t=2993

投稿日時 - 2018-06-14 22:05:29

お礼

非常にごていねいな回答をいただき、とても感謝しております。
困ったことに、FF60は、XP機には搭載不可能なため
FF49ESRを使用せざるをえません。

この古いソフトを Slacko上でC: 上にコピーすることが
いくら手をつくしても不可能であったことについて
前回の質問とは全く異なる問題として
おたずねさせていただきました。

いまだに問題の原因すら分かっておりません。

よろしくお願いいたします。

投稿日時 - 2018-06-17 18:40:35

-広告-
-広告-

あなたにオススメの質問

-広告-
-広告-